- Regenerate SSH key pair for credit agency
Get credit agencies
Create credit agency
Get credit agency by ID
Update credit agency
Regenerate SSH key pair f...
Generates a new RSA SSH key pair for the credit agency and returns the updated object. The new sftpSSHPeachPublicKey must be added to the SFTP server's authorized_keys file — the old public key will no longer work after this call.
Security
oauth2(Required scopes: credit.agency:update) or bearerAuth or apiKeyHeader
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/companies/{companyId}/credit-agencies/{creditAgencyId}/regenerate-ssh-keys' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "agencyName": "experian", "companyId": "string", "country": "st", "dataFormat": "metro2", "encryptionMethod": "GPG", "fileNamePrefix": "string", "isPeachAggregator": false, "nameFilePerAgencyConvention": true, "publicKey": "string", "sftpAccessMethod": "usernamePassword", "sftpCdDir": "string", "sftpHostname": "string", "sftpPassword": "string", "sftpSSHPeachPrivateKey": "string", "sftpSSHPeachPublicKey": "string", "sftpUsername": "string", "specificDays": [ … ], "uploadFrequency": "monthly", "useLoanExternalId": true } }